package ru.yandex.qe.dispenser.ws.reqbody;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public final class ResourceGroupBody {
    @Nullable
    public String name;
    @Nullable
    public String key;
    @Nullable
    public Integer priority;

    @Nullable
    public String getName() {
        return name;
    }

    public void setName(@NotNull final String name) {
        this.name = name;
    }

    @Nullable
    public String getKey() {
        return key;
    }

    public void setKey(@NotNull final String key) {
        this.key = key;
    }

    @Nullable
    public Integer getPriority() {
        return priority;
    }

    public void setPriority(@Nullable final Integer priority) {
        this.priority = priority;
    }
}
